SystemOrganization addCategory: #'Curium-Core'!

Object subclass: #CMCommand
	instanceVariableNames: 'cmdName args'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Curium-Core'!

!CMCommand commentStamp: '<historical>' prior: 0!
a cmake command!

!CMCommand class methodsFor: 'instance creation' stamp: 'BernardoContreras 6/27/2012 22:58'!
named: aCmdName
	^ self new cmdName: aCmdName! !

!CMCommand methodsFor: 'accessing' stamp: 'BernardoContreras 6/27/2012 22:13'!
addArg: anArgument
	args add: anArgument ! !

!CMCommand methodsFor: 'private' stamp: 'BernardoContreras 6/27/2012 22:01'!
cmdName: aCmdName
	cmdName := aCmdName 
	! !

!CMCommand methodsFor: 'initialize-release' stamp: 'BernardoContreras 6/27/2012 22:11'!
initialize
	args := OrderedCollection new! !

!CMCommand methodsFor: 'printing' stamp: 'BernardoContreras 6/27/2012 23:56'!
printArgsOn: aStream
	args do: [ :each | aStream nextPutAll: each ] separatedBy: [ aStream nextPutAll: ' '].
	! !

!CMCommand methodsFor: 'printing' stamp: 'BernardoContreras 6/27/2012 23:57'!
printOn: aStream
	aStream
		nextPutAll: cmdName;
		nextPut: $(.
	self printArgsOn: aStream.
	aStream nextPut: $).
	! !

Object subclass: #CMMakeGenerator
	instanceVariableNames: 'cmds'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Curium-Core'!

!CMMakeGenerator commentStamp: '<historical>' prior: 0!
CMake Generator.
!

!CMMakeGenerator class methodsFor: 'instance creation' stamp: 'BernardoContreras 6/28/2012 00:04'!
v2dot6
	^ CMMakeV2dot6 new! !

!CMMakeGenerator methodsFor: 'private' stamp: 'BernardoContreras 6/28/2012 00:29'!
addCmd: aCommand 
	^ cmds add: aCommand ! !

!CMMakeGenerator methodsFor: 'private' stamp: 'BernardoContreras 6/28/2012 00:36'!
commandNamed: name
	^ self addCmd: (CMCommand named: name)
	! !

!CMMakeGenerator methodsFor: 'initialize-release' stamp: 'BernardoContreras 6/27/2012 21:11'!
initialize
	cmds := OrderedCollection new! !

!CMMakeGenerator methodsFor: 'printing' stamp: 'BernardoContreras 6/28/2012 00:12'!
printCmdsOn: aStream
	cmds do: [:each | each printOn: aStream ] separatedBy: [ aStream cr ]
	! !

!CMMakeGenerator methodsFor: 'printing' stamp: 'BernardoContreras 6/28/2012 00:18'!
printOn: aStream
	super printOn: aStream.
	aStream space; nextPut: $[; cr.
	self printCmdsOn: aStream.
	aStream cr; nextPut: $]
	! !

CMMakeGenerator subclass: #CMMakeV2dot6
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Curium-Core'!

!CMMakeV2dot6 commentStamp: '<historical>' prior: 0!
http://www.cmake.org/cmake/help/cmake2.6docs.html!

!CMMakeV2dot6 methodsFor: 'initialize-release' stamp: 'BernardoContreras 6/28/2012 00:26'!
initialize 
	super initialize.
	self minimumRequired addArg: 'VERSION'; addArg: '2.6'.
! !

!CMMakeV2dot6 methodsFor: 'commands' stamp: 'BernardoContreras 6/27/2012 23:50'!
minimumRequired
	^ self commandNamed: 'cmake_minimum_required'! !

!CMMakeV2dot6 methodsFor: 'commands' stamp: 'BernardoContreras 6/27/2012 23:50'!
project
	^ self commandNamed: 'project'! !

Object subclass: #CMReadme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Curium-Core'!

!CMReadme commentStamp: '<historical>' prior: 0!
Name: Curium
Symbol: Cm
http://en.wikipedia.org/wiki/Curium

cmake - Cross-Platform Makefile Generator.!
